//-------------------------------------------------------------------------*
//工 程 名:AD.prj                                                          *
//硬件连接:                                                                *
//    (1)MCU的串口与PC方的串口相连(见"SCI.c"文件)                          *
//程序描述: AD采集一路信号，经中值滤波和一介滞后滤波之后通过串口发送       *
//说    明: 串口波特率为9600,使用SCI1                                      *
//---------------苏州大学飞思卡尔嵌入式系统实验室2009年--------------------*

#include "Includes.h"

//在此添加全局变量定义


void main(void)
{
    uint16 tmp;
    //1 关总中断
    DisableInterrupts();     //禁止总中断
    
    //2. 芯片初始化
    MCUInit();
    
    //3 模块初始化
    //3.1 串行口初始化
    //使用SCI1模块,使用系统时钟作为SCI的时钟源
    //波特率为9600
    SCIInit(1,SYSTEM_CLOCK,9600);
    //3.2 A/D转换初始化
    ADCInit();
    
    //4 开放中断
    EnableSCIReInt();         //开放SCI接收中断
    EnableInterrupts();       //开放总中断
    
    //5 主循环
    while (1)
    {        
        //在通道8采样，通过中值滤波和一介滞后滤波，串口发送均值滤波结果
        tmp=ADCFilter(8);
        SCISend1(1,(uint8)tmp);
        Delay(30);   //延时，可根据实际情况自行调整
    }
}
